<?php
/*
Module Name: Title Page
Module Type: layout
Settings:
    title: text
    subtitle: text
    author_name: text
    top_logo: image
    bottom_left_logo: image
    bottom_right_logo: image
    logo_size: slider
*/
?>
<div class="title-page-container" id="<?= isset($instanceId) ? esc($instanceId) : '' ?>">
    <!-- Top Logo -->
    <div class="top-logo">
        <img 
            id="topLogoPlaceholder" 
            src="<?= isset($settings['top_logo']) && !empty($settings['top_logo']) ? esc($settings['top_logo']) : base_url('logo-placeholder-image.png'); ?>" 
            alt="Logo Placeholder"
        />
    </div>

    <!-- Title & Subtitle Section -->
    <div class="title-section">
        <!-- Horizontal line above the main title/subtitle -->
        <div class="title-line"></div>
        
        <h1 id="title"><?= isset($settings['title']) && !empty($settings['title']) ? esc($settings['title']) : 'Enter Title Here'; ?></h1>
        <h2 id="subtitle"><?= isset($settings['subtitle']) && !empty($settings['subtitle']) ? esc($settings['subtitle']) : 'Enter Subtitle Here'; ?></h2>
        
        <!-- Horizontal line below the subtitle -->
        <div class="title-line"></div>
        
        <h3 id="authorName"><?= isset($settings['author_name']) && !empty($settings['author_name']) ? 'By ' . esc($settings['author_name']) : 'By Author Name'; ?></h3>
    </div>

    <!-- "Begin" Button -->
    <div class="begin-button">
        <button id="beginButton">Begin</button>
    </div>

    <!-- Bottom Logos -->
    <div class="bottom-logos">
        <div class="logo-container left-logo">
            <img
                id="bottomLeftLogoPlaceholder"
                src="<?= isset($settings['bottom_left_logo']) && !empty($settings['bottom_left_logo']) ? esc($settings['bottom_left_logo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Left Logo"
            />
        </div>
        <div class="logo-container right-logo">
            <img
                id="bottomRightLogoPlaceholder"
                src="<?= isset($settings['bottom_right_logo']) && !empty($settings['bottom_right_logo']) ? esc($settings['bottom_right_logo']) : base_url('logo-placeholder-image.png'); ?>"
                alt="Right Logo"
            />
        </div>
    </div>
</div>
